Get the filter values of my tasks to check

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/tasks-to-check/filter-values

Get the distinct project, task type, task status, episode and assignee identifiers of the tasks that wait for feedback in your scope. The scope is the one of the tasks-to-check route. If you do not manage or supervise a project, each list is empty. The filters of the list use these values.

Responses

  • 200 application/json

    The filter values

    Hide response attributes Show response attributes object
    • project_ids array[string(uuid)]
    • task_type_ids array[string(uuid)]
    • task_status_ids array[string(uuid)]
    • episode_ids array[string(uuid)]
    • person_ids array[string(uuid)]
  • 403

    You use a bot token

GET /data/user/tasks-to-check/filter-values
curl \
 --request GET '/api/data/user/tasks-to-check/filter-values' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "project_ids": [
    "string"
  ],
  "task_type_ids": [
    "string"
  ],
  "task_status_ids": [
    "string"
  ],
  "episode_ids": [
    "string"
  ],
  "person_ids": [
    "string"
  ]
}